package cz.muni.fi.pv168.project.db.interfaces;

import java.util.List;

public interface OneToNDao<T> {

    void addEntityFor(Long taskId, T entity);

    List<T> getAllEntitiesFor(Long taskId);

    void deleteAllEntitiesFor(Long taskId);

    void update(T entity);

    void delete(T entity);

    T findById(Long id);
}
